#1 2011-04-17 12:38:15

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12226

Piwigo 2.2.1

Bonjour à tous!

La version 2.2.1 est disponible. Plusieurs langues ont été mises à jour grâce à une équipe de traduction très active, plusieurs bugs ont été corrigés et quelques fonctionnalités mineures ont été ajoutées. Tous les détails sur http://fr.piwigo.org/releases/2.2.1

Cette version tente de régler le plus gros soucis rencontré lors de la mise à jour de Piwigo 2.1 vers Piwigo 2.2 : quelques plugins et thèmes ne sont pas encore compatibles avec la nouvelle version. Ils sont désactivés pendant la mise à jour, mais parfois directement réactivés par les utilisateurs, sans vérifier qu'ils sont compatibles et ensuite ce sont des messages d'erreurs qui apparaissent. Pour vous simplifier la vie, nous avons fait 2 choses :

1. [extension by P@t] Piwigo Auto Upgrade vous indique quels sont les thèmes et plugins qui ne sont pas compatible avec Piwigo 2.2, avant que vous ne lanciez la mise à jour.

http://piwigo.org/forum/showimage.php?pid=121149&filename=piwigo221_autoupgrade_warnings.png

2. le gestionnaire de plugins vous indique quels plugins ne sont pas marqués comme compatibles

http://piwigo.org/forum/showimage.php?pid=121149&filename=piwigo221_incompatible_plugin.png

Suivez la procédure de mise à jour automatique et utilisez la dernière version de Piwigo.

A bientôt et faites de belles photos :-)

--
L'équipe Piwigo


Dernier billet du blog Piwigo.com (3 mai 2018) Nouveau formulaire d'abonnement

Hors ligne

#2 2011-04-17 14:02:07

thierry.f91
Membre
2010-04-20
669

Re: Piwigo 2.2.1

Mise à jour effectué sans aucun problème merci. ;-)


Le seul péché est de ne pas se risquer pour vivre son désir.

Hors ligne

#3 2011-04-17 16:04:25

flop25
Équipe Piwigo
2006-07-06
6378

Re: Piwigo 2.2.1

est-ce qu'il serait possible d'avoir dans le PEM un "batch manager" pour passer plusieurs extensions compatibles d'un coup ?

Hors ligne

#4 2011-04-17 16:13:11

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12226

Re: Piwigo 2.2.1

flop25 a écrit:

est-ce qu'il serait possible d'avoir dans le PEM un "batch manager" pour passer plusieurs extensions compatibles d'un coup ?

C'est hors-sujet (et si tu veux en discuter n'hésites pas à ouvrir un autre sujet). Réponse courte : en règle général, les contributeurs ont peu de plugins/thèmes, donc ça ne servirait pas à grand monde. Là comme ça je dirais que ce n'est pas vraiment une priorité :-/


Dernier billet du blog Piwigo.com (3 mai 2018) Nouveau formulaire d'abonnement

Hors ligne

#5 2011-04-17 17:13:34

Zaphod
Équipe Piwigo
Toulouse
2006-11-13
2422

Re: Piwigo 2.2.1

Installé sans problème.
La plus value sur l'indication de compatibilité des plugins est vraiment intéressante.

Hors ligne

#6 2011-04-17 17:14:11

flop25
Équipe Piwigo
2006-07-06
6378

Re: Piwigo 2.2.1

plg a écrit:

flop25 a écrit:

est-ce qu'il serait possible d'avoir dans le PEM un "batch manager" pour passer plusieurs extensions compatibles d'un coup ?

C'est hors-sujet (et si tu veux en discuter n'hésites pas à ouvrir un autre sujet). Réponse courte : en règle général, les contributeurs ont peu de plugins/thèmes, donc ça ne servirait pas à grand monde. Là comme ça je dirais que ce n'est pas vraiment une priorité :-/

ok bon je le ferai quand j'aurai le temps

Hors ligne

#7 2011-04-17 18:03:27

Gotcha
Equipe Piwigo
Pierrelatte (26)
2007-03-14
13324

Re: Piwigo 2.2.1

Zaphod a écrit:

Installé sans problème.
La plus value sur l'indication de compatibilité des plugins est vraiment intéressante.

+1
Ma galerie en production est maintenant estampillée v2.2.1 :-)


Ayez comme premier réflexe de consulter le wiki.
Ensuite, veuillez effectuer une recherche sur le forum avant de poser votre question.

LE FAIRE EST LE REVELATEUR DE L'ETRE

Hors ligne

#8 2011-04-17 18:17:40

Philou1070
Membre
Bruxelles
2006-07-02
162

Re: Piwigo 2.2.1

Mise à jour faite pas de soucis, il me donne 4 plug in pas compatible :

Cooliris (il marche mais donne des erreur dans la partie Admin)

Wired for sound (marche sans pb)

Grum plugin classe (marche normalement pas vu de pb)

AMM (je vois pas de soucis)

Beau boulot.

Merci.

Dernière modification par Philou1070 (2011-04-17 18:17:53)

Hors ligne

#9 2011-04-17 23:50:53

Zaphod
Équipe Piwigo
Toulouse
2006-11-13
2422

Re: Piwigo 2.2.1

Si le plugin est marqué comme non compatible, c'est que son auteur ne l'a pas validé pour la version de piwigo en cours.
Ca peut marcher quand même.
Tout comme un plugin marqué comme compatible peut engendrer des erreurs ;)

Mais dans la plupart des cas, mieux vaut ne pas activer de plugin donné comme non compatible.
A part pour faire des tests.

Hors ligne

#10 2011-04-26 20:13:13

Baloo
Membre
2004-11-06
13

Re: Piwigo 2.2.1

Big probleme.
Tentative de passage à la nouvelle version et plantage.
Je reçois le message suivant:

Warning:  [mysql error 1054] Unknown column 'user_representative_picture_id' in 'field list'

SELECT
    c.*,
    user_representative_picture_id,
    nb_images,
    date_last,
    max_date_last,
    count_images,
    count_categories
  FROM pwg_categories c
    INNER JOIN pwg_user_cache_categories ucc ON id = cat_id AND user_id = 1
  WHERE id_uppercat is NULL
   
  ORDER BY rank
; in /home2/g*****ns/public_html/chez-baloo/photographie/include/dblayer/functions_mysql.inc.php on line 654


Warning: mysql_fetch_assoc(): supplied argument is not a valid MySQL result resource in /home2/g*****ns/public_html/chez-baloo/photographie/include/dblayer/functions_mysql.inc.php on line 153

Warning: Cannot modify header information - headers already sent by (output started at /home2/g*****ns/public_html/chez-baloo/photographie/include/dblayer/functions_mysql.inc.php:653)

J'ai sauvegardé la bd comme prévu au poiint 1.
Dois-je la réinstaller ? Comment ?
Merci car là j'en perds mes derniers cheveux.

Dernière modification par Baloo (2011-04-26 21:13:55)

Hors ligne

#11 2011-04-26 20:44:12

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12226

Re: Piwigo 2.2.1

Bonjour Baloo,

Warning:  [mysql error 1054] Unknown column 'user_representative_picture_id' in 'field list'

[Forum, topic 19820] Plus de miniatures sur l'accueil après mise à jour en 2.2.0


Dernier billet du blog Piwigo.com (3 mai 2018) Nouveau formulaire d'abonnement

Hors ligne

#12 2011-04-26 21:03:13

Baloo
Membre
2004-11-06
13

Re: Piwigo 2.2.1

Vérification faite.
Tout semble réellement en ordre.

Très sincères remerciements PLG.

Hors ligne

#13 2011-05-06 09:36:53

djizzio
Membre
2010-08-16
51

Re: Piwigo 2.2.1

Chez moi plus rien ne marche .... la base de données ne semble pas avoir été mise à jour pendant la mise à jour automatique

Si je synchronise mes images j'obtiens l'erreur suivante :

Warning:  [mysql error 1054] Unknown column 'added_by' in 'field list'


Et sur la page d'acceuil plus de photos mais:
Warning:  [mysql error 1054] Unknown column 'user_representative_picture_id' in 'field list'

SELECT
    c.*,
    user_representative_picture_id,
    nb_images,
    date_last,
    max_date_last,
    count_images,
    count_categories
  FROM phpwebgallery_categories c
    INNER JOIN phpwebgallery_user_cache_categories ucc ON id = cat_id AND user_id = 1
  WHERE id_uppercat = 8
   
  ORDER BY rank
; in /web/photosferroviai/www/include/dblayer/functions_mysql.inc.php on line 654


Warning: mysql_fetch_assoc(): supplied argument is not a valid MySQL result resource in /web/photosferroviai/www/include/dblayer/functions_mysql.inc.php on line 153



HELP !!!!!!!!

Hors ligne

#14 2011-05-06 09:38:03

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12226

Re: Piwigo 2.2.1

plg a écrit:

Bonjour Baloo,

Warning:  [mysql error 1054] Unknown column 'user_representative_picture_id' in 'field list'

[Forum, topic 19820] Plus de miniatures sur l'accueil après mise à jour en 2.2.0


Dernier billet du blog Piwigo.com (3 mai 2018) Nouveau formulaire d'abonnement

Hors ligne

#15 2011-05-06 09:38:32

djizzio
Membre
2010-08-16
51

Re: Piwigo 2.2.1

Ok je viens de lire les posts avant le mien ... je fait le upgrade d'abord :)

Hors ligne

Pied de page des forums

Propulsé par FluxBB